package com.lifepay.pinpaddemo.activities.pinpad;

import com.lifepay.lib.utils.ConvertUtils;
import com.lifepay.pinpaddemo.utils.UIUtilsHelper;
import com.lifepay.pinpaddemo.R;
import com.lifepay.pinpaddemo.activities.base.FBaseSignature;

import org.androidannotations.annotations.Click;
import org.androidannotations.annotations.EFragment;

@EFragment
public class FBaseCancelableSignature extends FBaseSignature {

    private FBaseCancelableSignatureIntf intf;

    public void setIntf(FBaseCancelableSignatureIntf intf) {
        this.intf = intf;
        updateTexts();
    }

    @Click(R.id.btnContinue)
    public void onContinueClick() {
        if (isDrawBitmap()) {
            intf.signature(ConvertUtils.bitmapToArray(mv.getBitmap()));
        } else {
            UIUtilsHelper.showAlert(context, "Поставьте подпись.");
        }
    }

    @Click(R.id.btnCancel)
    public void onCancelClick() {
        intf.cancel();
    }

    public interface FBaseCancelableSignatureIntf {
        void signature(byte[] signature);
        void cancel();
        String getDescription();
        String getAmount();
        String getAmountTitle();
    }

    @Override
    protected void initPaint() {
        mv = new MyView(context);
        lSignature.addView(mv);
    }

    protected void updateTexts() {
        tvPrice.setText(intf.getAmount());
        tvDesc.setText(intf.getDescription());
        tvPriceHeader.setText(intf.getAmountTitle());
    }
}
